#!/bin/bash

echo
echo "You are about to change the admin password for the Unity Asset Server"
echo "Please enter the password below. For security reasons, the characters"
echo "you enter will not be echoed back to the screen. "
echo "After entering the new password, you will be prompted to enter it again."
echo "This is to verify that the password does not contain any typos."
echo

done=0

while [ $done -eq 0 ] ; do
	read -s -a pass1 -p "New admin password: "
	echo
	read -s -a pass2 -p "Retype new admin password: "
	echo
	
	done=1

	if [ "_$pass1" != "_$pass2" ] ; then
		echo
		echo "* The two passwords do not match. Please try again"
		echo
		done=0
	elif [ "_$pass1" == "_" ] ; then
		echo
		echo "* You can not use an empty password"
		echo 
		done=0
	fi
done

/opt/unity_asset_server/bin/psql -U unitysrv -d template1 -c"alter role admin with password \$_\$$pass1\$_\$" > /dev/null 2>&1
